# List

Launch stage: GA

`GET /api/2.0/mlflow/registry-webhooks/list`

**NOTE:** This endpoint is in Public Preview.
 Lists all registry webhooks.

API scopes: mlflow

## Query parameters

- `model_name` (string, optional)
  Registered model name
   If not specified, all webhooks associated with the specified events are listed, regardless of their associated model.
  Example: `registered-model-1`
- `events` (array of string, optional)
  Events that trigger the webhook.
   * `MODEL_VERSION_CREATED`: A new model version was created for the associated model.
   
   * `MODEL_VERSION_TRANSITIONED_STAGE`: A model version’s stage was changed.
   
   * `TRANSITION_REQUEST_CREATED`: A user requested a model version’s stage be transitioned.
   
   * `COMMENT_CREATED`: A user wrote a comment on a registered model.
   
   * `REGISTERED_MODEL_CREATED`: A new registered model was created. This event type can only be specified for a registry-wide webhook, which can be created by not specifying a model name in the create request.
   
   * `MODEL_VERSION_TAG_SET`: A user set a tag on the model version.
   
   * `MODEL_VERSION_TRANSITIONED_TO_STAGING`: A model version was transitioned to staging.
   
   * `MODEL_VERSION_TRANSITIONED_TO_PRODUCTION`: A model version was transitioned to production.
   
   * `MODEL_VERSION_TRANSITIONED_TO_ARCHIVED`: A model version was archived.
   
   * `TRANSITION_REQUEST_TO_STAGING_CREATED`: A user requested a model version be transitioned to staging.
   
   * `TRANSITION_REQUEST_TO_PRODUCTION_CREATED`: A user requested a model version be transitioned to production.
   
   * `TRANSITION_REQUEST_TO_ARCHIVED_CREATED`: A user requested a model version be archived.
   
   If `events` is specified, any webhook with one or more of the specified trigger events is included in the output. 
   If `events` is not specified, webhooks of all event types are included in the output.
  Possible values: `MODEL_VERSION_CREATED`, `MODEL_VERSION_TRANSITIONED_STAGE`, `TRANSITION_REQUEST_CREATED`, `COMMENT_CREATED`, `REGISTERED_MODEL_CREATED`, `MODEL_VERSION_TAG_SET`, `MODEL_VERSION_TRANSITIONED_TO_STAGING`, `MODEL_VERSION_TRANSITIONED_TO_PRODUCTION`, `MODEL_VERSION_TRANSITIONED_TO_ARCHIVED`, `TRANSITION_REQUEST_TO_STAGING_CREATED`, `TRANSITION_REQUEST_TO_PRODUCTION_CREATED`, `TRANSITION_REQUEST_TO_ARCHIVED_CREATED`
- `page_token` (string, optional)
  Token indicating the page of artifact results to fetch
- `max_results` (int64, optional)
  Default: `1000`

## Returns

Returns a list of RegistryWebhook objects.

## Response

```json
{
  "webhooks": [
    {
      "creation_timestamp": 1594437249910,
      "description": "Webhook for comment creation",
      "events": [
        "MODEL_VERSION_CREATED",
        "MODEL_VERSION_TRANSITIONED_TO_STAGING",
        "COMMENT_CREATED"
      ],
      "http_url_spec": {
        "enable_ssl_verification": true,
        "url": "https://hooks.slack.com/services/..."
      },
      "id": "124323",
      "last_updated_timestamp": 1594437549910,
      "model_name": "registered-model-1",
      "status": "ACTIVE"
    },
    {
      "creation_timestamp": 1594437248910,
      "description": "Webhook for comment creation",
      "events": [
        "MODEL_VERSION_CREATED",
        "MODEL_VERSION_TRANSITIONED_TO_STAGING",
        "COMMENT_CREATED"
      ],
      "id": "126324",
      "job_spec": {
        "job_id": "1",
        "workspace_url": "http://.."
      },
      "last_updated_timestamp": 1594437549915,
      "model_name": "registered-model-1",
      "status": "ACTIVE"
    }
  ]
}
```

